software-center crashed with AttributeError in _on_channels_refreshed()

Bug #578497 reported by Matthew Gall on 2010-05-10
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Gary Lasker
Lucid
Low
Gary Lasker
Maverick
Low
Gary Lasker

Bug Description

Binary package hint: software-center

Just browsing the Ubuntu Software Center results in the application crashing and a report being generated.

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: software-center 2.0.3
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Mon May 10 22:16:03 2010
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with AttributeError in _on_channels_refreshed()
Traceback:
 Traceback (most recent call last):
   File "/usr/share/software-center/softwarecenter/view/viewswitcher.py", line 160, in _on_channels_refreshed
     channel_iter_to_select = model.get_channel_iter_for_name(self.selected_channel_name)
 AttributeError: 'NoneType' object has no attribute 'get_channel_iter_for_name'
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Matthew Gall (matthewgall) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Gary Lasker (gary-lasker) wrote :

Hi Matthew, thanks for your bug report. The fix for this one has been committed and will be available in the next development release of software-center.

Please continue to report any bugs or problems that you encounter. Thanks again!

Changed in software-center (Ubuntu):
status: New → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
importance: Undecided → Low
status: In Progress → Fix Committed
Changed in software-center (Ubuntu Lucid):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Gary Lasker (gary-lasker)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 2.1.2

---------------
software-center (2.1.2) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - only reselect a channel node when a model is available
      (LP: #578497)
  * fix "List view forgets selected row" regression (LP: #584969)
  * softwarecenter/view/availablepane.py:
    - fix broken searches
  * data/ui/SoftwareCenter.ui,
    softwarecenter/app.py,
    softwarecenter/view/availablepane.py,
    softwarecenter/view/navhistory.py:
    - bit of navhistory code housekeeping
    - add navhistory back/forward actions and corresponding
      menu items
    - integrate navhistory actions with custom back/forward
      buttons
    - add accelerator keys for navhistory actions
  * merged lp:~osomon/software-center/memory_leak, fixes
    memory leak regression (LP: #577540), thanks Olivier Tilloy!
  * softwarecenter/backend/aptd.py:
    - fix error when updating software sources (LP: #586623)
  * merged lp:~osomon/software-center/memory_leak, disconnect
    signals to allow appstore to be deleted, thanks Olivier Tilloy!
  * merged lp:~osomon/software-center/fix_appstore_update, remake
    pkgname_index_map correctly, many thanks Olivier!
  * softwarecenter/view/historypane.py:
    - fix UnboundLocalError if history.log is empty
  * merged lp:~hellium/software-center/installed-date, history
    pane log parsing merged to AptHistory, implement "Installed since"
    feature in the details view, many thanks Geliy Sokolov!
  * softwarecenter/apt/apthistory.py,
    softwarecenter/view/historypane.py:
    - fix launch error in the case where there is no
      history.log file (LP: #591590)

  [ Michael Vogt ]
  * merged lp:~glatzor/software-center/glatzor to get improved
    aptdaemon API
  * test/test_aptd.py:
    - update tests to work with new defered magic API
  * debian/control:
    - update dependencies on aptdaemon
  * merged lp:~mmcg069/software-center/improve-appview-persistence
    (many thanks!)
  * softwarecenter/view/installedpane.py:
    - do not crash if model is None (LP: #586306)
  * merged lp:~gary-lasker/software-center/hide_nonapps_pkgs_xapian
    many thanks to Jacob Johan Edwards and Gary
  * softwarecenter/apt/apthistory.py:
    - add test (and test data) for AptHistory class
    - be more async friendly and add test for async
  * merge lp:~mvo/software-center/launchpad-login branch that
    provides the infrastructure for LP login/API calls and supports
    displaying private PPAs
  * softwarecenter/apt/apthistory.py:
    - be more robust against invalid entries (LP: #590281), this
      also need a python-debian fix to be fully working
 -- Michael Vogt <email address hidden> Thu, 10 Jun 2010 12:04:34 +0200

Changed in software-center (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in software-center (Ubuntu Lucid):
status: In Progress → Fix Committed
John Dong (jdong) wrote :

ubuntu-sru should probably be subscribed?

Waiting for a SRU writeup...

Martin Pitt (pitti) wrote :

Checked the diff and it looks rather obvious. However, test case still appreciated for verification.

tags: added: verification-needed

Accepted software-center into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Gary Lasker (gary-lasker) wrote :

Hi Martin, unfortunately this bug is quite intermittent and I was not able to find a way to reliably reproduce it. In order to set up the conditions for the bug, you need to install and/or remove packages (maybe something like Alarm Clock) and browse Software Center while the installation/removal is in-process. If this bug were to recur, it would happen at the end of the install/remove.

I'm not sure if it's helpful to note also that this fix was released in maverick over a month ago with no new reports of the crash since.

Thanks!

Gary Lasker (gary-lasker) wrote :

I tested this myself and there have been no new reports of this problem from testing in lucid-proposed. The fix has been released in lucid in the package software-center 2.0.7:

------------------------

software-center (2.0.7) lucid-proposed; urgency=low

  * softwarecenter/view/viewswitcher.py:
    - fix crash if partner channel cannot be detected
      (LP: #606452)

 -- Gary Lasker <email address hidden> Sat, 17 Jul 2010 01:35:07 -0400

software-center (2.0.6) lucid-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - only reselect a channel node when a model is available
      (LP: #578497)

  [ Michael Vogt ]
  * softwarecenter/view/viewswitcher.py:
    - remove specal cases for partner now that soyuz
      LP: #552560 is fixed (LP: #604693)

 -- Michael Vogt <email address hidden> Wed, 14 Jul 2010 18:01:38 +0200

Changed in software-center (Ubuntu Lucid):
status: Fix Committed → Fix Released
tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers